#
# Conditional build:
%bcond_without	tests	# do not perform "make check"
#
Summary:	Sample Rate Converter library
Summary(pl.UTF-8):	Biblioteka do konwersji częstotliwości próbkowania
Name:		libsamplerate
Version:	0.1.8
Release:	1
License:	GPL v2+
Group:		Libraries
#Source0Download:	http://www.mega-nerd.com/SRC/download.html
Source0:	http://www.mega-nerd.com/SRC/%{name}-%{version}.tar.gz
# Source0-md5:	1c7fb25191b4e6e3628d198a66a84f47
URL:		http://www.mega-nerd.com/SRC/
%{?with_tests:BuildRequires:	fftw3-devel >= 0.15.0}
BuildRequires:	libsndfile-devel >= 1.0.10
BuildRequires:	pkgconfig
Requires:	libsndfile >= 1.0.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. SRC is capable of arbitrary and time varying conversions; from
downsampling by a factor of 12 to upsampling by the same factor. SRC
provides a small set of converters to allow quality to be traded off
against computation cost. The current best converter provides a
signal-to-noise ratio of 97dB with -3dB passband extending from DC to
96% of the theoretical best bandwidth for a given pair of input and
output sample rates.

%description -l pl.UTF-8
Biblioteka libsamplerate (zwana także Secret Rabbit Code lub Sample
Rate Converter - w skrócie SRC) służy do konwersji częstotliwości
próbkowania dźwięku. SRC może wykonywać dowolnych konwersji - od
zmniejszania częstotliwości do 12 razy do zwiększania o ten sam
współczynnik. SRC udostępnia niewielki zestaw konwerterów
pozwalających na pogodzenie jakości i czasu trwania konwersji.
Aktualnie najlepszy konwerter udostępnia współczynnik sygnał/szum 97dB
z rozszerzeniem zakresu pasma -3dB z DC do 96% teoretycznie
najlepszego pasma dla danej pary częstotliwości próbkowania wejścia i
wyjścia.

%package devel
Summary:	Header file for libsamplerate library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libsamplerate
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for libsamplerate library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki libsamplerate.

%package static
Summary:	libsamplerate static library
Summary(pl.UTF-8):	Statyczna biblioteka libsamplerate
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libsamplerate static library.

%description static -l pl.UTF-8
Statyczna biblioteka libsamplerate.

%package tools
Summary:	libsamplerate utilities
Summary(pl.UTF-8):	Narzędzia do libsamplerate
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description tools
libsamplerate utilities - currently include one program to resample
audio files read and written using libsndfile.

%description tools -l pl.UTF-8
Narzędzia do libsamplerate - aktualnie zawierają program do zmiany
częstotliwości próbkowania plików dźwiękowych czytanych i zapisywanych
przez libsndfile.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules
%{__make}

%{?with_tests:%{__make} -C tests check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README doc/*.{html,css,png}
%attr(755,root,root) %{_libdir}/libsamplerate.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsamplerate.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsamplerate.so
%{_libdir}/libsamplerate.la
%{_includedir}/samplerate.h
%{_pkgconfigdir}/samplerate.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsamplerate.a

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sndfile-resample
%changelog
* Fri Aug 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> 2ae12e1
- updated to 0.1.8
- test.patch was applied upstream

* Fri Aug 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> 0d231f5
- obsoleted

* Sat Aug 28 2010 hawk <hawk@pld-linux.org> 3573fc4
- fix x86_64 build

* Sat Aug 28 2010 hawk <hawk@pld-linux.org> 4ed6a6a
- fix for x86_64 build, taken from Gentoo which has it from upstream :)

* Tue Jun 22 2010 Jakub Bogusz <qboosh@pld-linux.org> 5984f55
- updated to 0.1.7
- dropped ac/am rebuild (not needed, causes m4 to loop forever)

* Tue Dec 01 2009 sparky <sparky@pld-linux.org> b833703
- BR: pkgconfig

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 641a53f
- reverted previous commit (mistake)

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 5fc133b
- updated to 1.3.2

* Thu Feb 22 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 3bbaec8
- release 3 for rebuild

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 082076b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0a6575c
- converted to UTF-8

* Wed Apr 13 2005 Jakub Bogusz <qboosh@pld-linux.org> 6785ce6
- runtime dependency as well

* Wed Apr 06 2005 djurban <djurban@pld-linux.org> 2eac785
- it requires libsndfile >= 1.0.10

* Wed Jan 12 2005 wrobell <wrobell@pld-linux.org> 8791151
- builds only with fftw 3.x
- rel. 2

* Tue Dec 21 2004 Jakub Bogusz <qboosh@pld-linux.org> 18f42ad
- strict internal deps

* Sat Oct 30 2004 Paweł Sikora <pluto@pld-linux.org> 10ed48c
- secret rabbit code updated to 0.1.2.
- release 1.

* Fri Jan 16 2004 undefine <undefine@pld-linux.org> 38ba0a1
- release 3, ac/am/lt

* Thu Jan 15 2004 Jakub Bogusz <qboosh@pld-linux.org> d806df6
- new-style bcond, release 2 for Ac

* Wed May 28 2003 Michal Moskal <michal@moskal.me> cc2296e
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> e0c8856
- massive attack s/pld.org.pl/pld-linux.org/

